package agilpizza.pizza;

import static org.junit.Assert.*;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;
import agilpizza.internal.SeleniumTestCase;

public class ListaDeIngredientesTest extends SeleniumTestCase {

	@BeforeMethod
	public void entrarNaPagina() {
		sel.open(CONTEXTO);
		sel.clickAndWait("linkIngredientes");
	}

	@Test
	public void testCategorias() {
		assertTrue("Falta categoria Carnes", sel.isTextPresent("Carnes"));
		assertTrue("Falta categoria Queijos", sel.isTextPresent("Queijos"));
		assertTrue("Falta categoria Vegetais", sel.isTextPresent("Vegetais"));
		assertTrue("Falta categoria Outros", sel.isTextPresent("Outros"));
	}

	@Test
	public void testIngredientes() {
		assertTrue("Falta ingrediente Calabresa", sel.isTextPresent("Calabresa"));
		assertTrue("Falta ingrediente Mussarela", sel.isTextPresent("Mussarela"));
		assertTrue("Falta ingrediente Rúcula", sel.isTextPresent("Rúcula"));
		assertTrue("Falta ingrediente Orégano", sel.isTextPresent("Orégano"));
	}
	
}
